Bug 18590 - a number of manpage fixes for VFS manpages.
Summary: a number of manpage fixes for VFS manpages.
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-doc (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2000-05-16 09:50 UTC by mellon
Modified: 2013-07-23 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1.34 KB, patch)
2000-05-16 09:50 UTC, mellon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mellon 2000-05-16 09:50:00 UTC
Two fixes for VFS_CHECKEXP, one a typo, one fixes the
erroneous description of what it actually does.

One fix for VFS_FHTOVP, unrelated to the previous PR. Currently
VFS_FHTOVP claims it should be followed by a VFS_CHECKEXP call,
and VFS_CHECKEXP call claims it should be followed by a VFS_FHTOVP
call, which creates an amusing deadlock situation ;) In reality,
as both common sense and nfs_subs.c demonstrate, VFS_CHECKEXP is
correct.
Comment 1 Jeroen Ruigrok van der Werven freebsd_committer 2000-06-04 16:31:19 UTC
State Changed
From-To: open->closed

Committed. 

Thanks!
Comment 2 dfilter service freebsd_committer 2013-07-23 21:35:20 UTC
Author: pawel
Date: Tue Jul 23 20:35:11 2013
New Revision: 323548
URL: http://svnweb.freebsd.org/changeset/ports/323548

Log:
  Cyrus2Dovecot is a full-featured command line tool for converting the
  e-mails of one or more users from Cyrus format to Dovecot Maildir++ folders.
  It allows for performing a server transition which is fully transparent to
  both POP and IMAP users.
  
  WWW: http://www.cyrus2dovecot.sw.fu-berlin.de/
  
  PR:		ports/18590
  Submitted by:	Vladimir Kondratiev <wulf@mail.mipt.ru>

Added:
  head/mail/cyrus2dovecot/
  head/mail/cyrus2dovecot/Makefile   (contents, props changed)
  head/mail/cyrus2dovecot/distinfo   (contents, props changed)
  head/mail/cyrus2dovecot/pkg-descr   (contents, props changed)
Modified:
  head/mail/Makefile

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Tue Jul 23 20:00:53 2013	(r323547)
+++ head/mail/Makefile	Tue Jul 23 20:35:11 2013	(r323548)
@@ -85,6 +85,7 @@
     SUBDIR += cyrus-imapd23
     SUBDIR += cyrus-imapd24
     SUBDIR += cyrus2courier
+    SUBDIR += cyrus2dovecot
     SUBDIR += davmail
     SUBDIR += dbmail
     SUBDIR += dbmail22

Added: head/mail/cyrus2dovecot/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/cyrus2dovecot/Makefile	Tue Jul 23 20:35:11 2013	(r323548)
@@ -0,0 +1,35 @@
+# Created by: Vladimir Kondratiev <wulf@mail.mipt.ru>
+# $FreeBSD$
+
+PORTNAME=	cyrus2dovecot
+PORTVERSION=	1.2
+CATEGORIES=	mail
+MASTER_SITES=	http://www.cyrus2dovecot.sw.fu-berlin.de/download/
+EXTRACT_SUFX=
+EXTRACT_ONLY=
+
+MAINTAINER=	wulf@mail.mipt.ru
+COMMENT=	Convert Cyrus folders to Dovecot
+
+PLIST_FILES=	bin/${PORTNAME}
+MAN1=		${PORTNAME}.1
+
+USE_PERL5=	yes
+NO_WRKSUBDIR=	yes
+
+post-extract:
+	@${CP} -v ${DISTDIR}/${DISTNAME} ${WRKSRC}
+
+post-patch:
+	@${REINPLACE_CMD} -e '1s,^#!.*,#!${PERL},' ${WRKSRC}/${DISTNAME}
+
+do-build:
+	pod2man --section=1 --release=${PORTVERSION} \
+		--name=${PORTNAME} --center=${PORTNAME}" user guide" \
+		${WRKSRC}/${DISTNAME} ${WRKSRC}/${PORTNAME}.1
+
+do-install:
+	${INSTALL_SCRIPT} ${WRKSRC}/${DISTNAME} ${PREFIX}/bin/${PORTNAME}
+	${INSTALL_MAN} ${WRKSRC}/${PORTNAME}.1 ${PREFIX}/man/man1/${PORTNAME}.1
+
+.include <bsd.port.mk>

Added: head/mail/cyrus2dovecot/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/cyrus2dovecot/distinfo	Tue Jul 23 20:35:11 2013	(r323548)
@@ -0,0 +1,2 @@
+SHA256 (cyrus2dovecot-1.2) = 69cc05e7d493b8e5030300aaa71bb87f72203f507ad726d796235619efae4917
+SIZE (cyrus2dovecot-1.2) = 52212

Added: head/mail/cyrus2dovecot/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/cyrus2dovecot/pkg-descr	Tue Jul 23 20:35:11 2013	(r323548)
@@ -0,0 +1,6 @@
+Cyrus2Dovecot is a full-featured command line tool for converting the
+e-mails of one or more users from Cyrus format to Dovecot Maildir++ folders.
+It allows for performing a server transition which is fully transparent to
+both POP and IMAP users.
+
+WWW: http://www.cyrus2dovecot.sw.fu-berlin.de/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"